#language: ru

@cutting

Функционал: 002. Разруб. Локальная НСИ

Сценарий: 002.0. Разруб. Создание простых НСИ. Подключение

	Дано я удаляю объекты "Справочники.к2Планирование_Сценарии" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2Разруб_Сценарии" без контроля ссылок
	Дано Я подключаюсь под "Изменение НСИ разруба"

Сценарий: 002.1. Разруб. Создание сценария планирования

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Сценарии планирования заявок на производство'
	Тогда я жду открытия окна 'Сценарии планирования заявок на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Сценарий планирования заявок на производство (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'Сценарий'
	И я нажимаю кнопку выбора у поля "Настройка по умолчанию"
	Тогда я жду открытия окна 'Настройки формирования заявки на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Настройки формирования заявки на производство (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'Разруб. Настройка'
	И я перехожу к закладке "Товарные категории"
	И в таблице "ТоварныеКатегории" из выпадающего списка "Товарная категория" я выбираю по строке '1'
	И в таблице "ТоварныеКатегории" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Настройки формирования заявки на производство (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Настройки формирования заявки на производство' в течение 20 секунд
	И в таблице "Список" я выбираю текущую строку
	Тогда я жду открытия окна 'Сценарий планирования заявок на производство (создание) *' в течение 20 секунд
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сценарий планирования заявок на производство (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Сценарии планирования заявок на производство' в течение 20 секунд
	И Я закрываю окно 'Сценарии планирования заявок на производство'
	И Я закрываю окно 'Настройки планирования'

Сценарий: 002.2. Разруб. Создание сценария
	
	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Сценарии убоя и разделки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Сценарий убоя и разделки (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст 'Сценарий'
	И я нажимаю на кнопку создать поля "Вариант начала"
	Тогда я жду открытия окна 'Вариант начала периода (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст '09.03.2020'
	И в поле 'Дата начала' я ввожу текст '09.03.2020  0:00:00'
	И в поле "Сдвинуть на" я увеличиваю значение
	И в поле 'Сдвинуть на' я ввожу текст '1'
	И из выпадающего списка "Периодичность" я выбираю точное значение 'День'
	И из выпадающего списка "На начало" я выбираю точное значение 'Дня'
	И в поле "Сдвинуть на" я уменьшаю значение
	И в поле 'Сдвинуть на' я ввожу текст '0'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вариант начала периода (создание) *' в течение 20 секунд
	И в поле 'Запас по ограничиваемым позициям, %' я ввожу текст '10'
	И в поле 'Приоритет излишков' я ввожу текст '1,00'
	И я перехожу к закладке "Заявки на производство"
	И в таблице "СценарииПланирования" я нажимаю на кнопку с именем 'СценарииПланированияДобавить'
	И в таблице "СценарииПланирования" из выпадающего списка "Сценарий" я выбираю по строке 'Сценарий'
	И в таблице "СценарииПланирования" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сценарий убоя и разделки (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Сценарии убоя и разделки' в течение 20 секунд
	И Я закрываю окно 'Сценарии убоя и разделки'
	И Я закрываю окно 'Настройки планирования'
	